Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Problem mit mesa-18.1.6
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Schattenschlag
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2011
Posts: 112

PostPosted: Thu Aug 23, 2018 10:08 am    Post subject: [gelöst] Problem mit mesa-18.1.6 Reply with quote

Hallöchen

Hab vorhin ein update gestartet und dann kann folgende Meldung

Code:


!!! The ebuild selected to satisfy ">=media-libs/mesa-9.1.6[egl,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]" has unmet requirements.
- media-libs/mesa-18.1.6::gentoo USE="classic dri3 egl gallium gbm llvm nptl opencl -bindist -d3d9 -debug -gles1 -gles2 -openmax -osmesa -pax_kernel -pic (-selinux) -unwind -vaapi -valgrind -vdpau -vulkan -wayland -xa -xvmc" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="(-freedreno) -i915 -i965 (-imx) -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) -virgl (-vivante) -vmware"

  The following REQUIRED_USE flag constraints are unsatisfied:
    opencl? ( any-of ( video_cards_r600 video_cards_radeonsi ) )

  The above constraints are a subset of the following complete expression:
    d3d9? ( dri3 gallium ) llvm? ( gallium ) opencl? ( gallium llvm any-of ( video_cards_r600 video_cards_radeonsi ) ) openmax? ( gallium ) gles1? ( egl ) gles2? ( egl ) vaapi? ( gallium ) vdpau? ( gallium ) vulkan? ( any-of ( video_cards_i965 video_cards_radeonsi ) video_cards_radeonsi? ( llvm ) ) wayland? ( egl gbm ) xa? ( gallium ) video_cards_freedreno? ( gallium ) video_cards_intel? ( classic ) video_cards_i915? ( any-of ( classic gallium ) ) video_cards_i965? ( classic ) video_cards_imx? ( gallium video_cards_vivante ) video_cards_nouveau? ( any-of ( classic gallium ) ) video_cards_radeon? ( any-of ( classic gallium ) gallium? ( x86? ( llvm ) amd64? ( llvm ) ) ) video_cards_r100? ( classic ) video_cards_r200? ( classic ) video_cards_r300? ( gallium x86? ( llvm ) amd64? ( llvm ) ) video_cards_r600? ( gallium ) video_cards_radeonsi? ( gallium llvm ) video_cards_vc4? ( gallium ) video_cards_virgl? ( gallium ) video_cards_vivante? ( gallium gbm ) video_cards_vmware? ( gallium )

(dependency required by "x11-libs/cairo-1.14.12::gentoo" [installed])
(dependency required by "dev-libs/gobject-introspection-1.52.1::gentoo[cairo]" [installed])
(dependency required by "x11-libs/libnotify-0.7.7::gentoo[introspection]" [installed])
(dependency required by "media-plugins/audacious-plugins-3.9-r1::gentoo[libnotify]" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])



Hmm nur weiß ich nicht was ich da machen soll ?
In der make.config steht ja eh drinnen
Code:
GRUB_PLATFORMS="pc"
INPUT_DEVICES="evdev"
VIDEO_CARDS="nvidia"
LINGUAS="de"
L10N="de"
ACCEPT_LICENSE="*"
ABI_X86="64 32"


Was hab ich denn übersehen ? bis jetzt hat ja auch alles geklappt hmm.
Wäre echt danke für einen guten Tipp.
mfg
schatti


Last edited by Schattenschlag on Sat Aug 25, 2018 10:42 am; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3628
Location: Germany

PostPosted: Thu Aug 23, 2018 11:11 am    Post subject: Reply with quote

Hi,
da du mit gesetzten
VIDEO_CARDS="nvidia"
scheinbar nur die nvidia-drivers nutzt, die ihre eigenen GLX libs mitbringen (die du via eselect opengl set nvidia setzt), wird mesa eigentlich gar nicht benötigt.

Vorschlag: Falls du tatsächlich nur die nvidia-drivers nutzt, dann kannst du bei mesa eigentlich nahezu alle Useflags herausnehmen.
Versuche mal folgende Useflags herauszunehmen:
Code:
echo "media-libs/mesa -classic -gallium -llvm -opencl" >> /etc/portage/package.use/mesa
Ich denke das sollte für deine nvidia-drivers besser passen.
Back to top
View user's profile Send private message
Schattenschlag
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2011
Posts: 112

PostPosted: Sat Aug 25, 2018 10:41 am    Post subject: Reply with quote

Hy danke Josef.95 hat geklappt.
Nur wieso kommt jetzt erst der Fehler? Hab ja jetzt jahrelang nichts geändert an den Useflags ? hmm
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6995
Location: Austria

PostPosted: Sat Aug 25, 2018 11:01 am    Post subject: Reply with quote

Vor Jahren gab es aber noch kein mesa-18.1.6.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3628
Location: Germany

PostPosted: Sat Aug 25, 2018 11:01 am    Post subject: Reply with quote

Jo, vermutlich wurden die Abhängigkeiten vom mesa ebuild (oder/und deren genutzten eclasses) geändert.
Es ist in dem Sinne ja auch kein Fehler, sondern eher ein Hinweis darauf das man die Konfiguration anpassen möge.

Für nvidia-drivers sollte man den opencl Provider via eselect opencl Modul setzen können - schau mal via
Code:
eselect opencl list
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Aug 25, 2018 11:10 am    Post subject: Reply with quote

Ja klar, 18.1.6 gab es noch nicht "vor Jahren", das ging aber ganz aktuell stable.
Und um den Schuldigen zu benennen:
https://github.com/gentoo/gentoo/commit/6c41530ba8a4f5523f890a88f911b32a0870fdd4#diff-bb52c9a22b279652e5d968c49b6893fb
Hier wurde ohne REV-Bump eine Änderung an den USE-Dependencies eingeführt. Zu dem Zeitpunkt war 17.3.9 bereits stable für die meisten Plattformen, dadurch auch bei dir installiert und insbesondere in der VDB mit jenen USE-Abhäbgigkeiten vorhanden.
Aus diesem Grund bekommst du erst jetzt mit dem Update diese Änderungen serviert.
Back to top
View user's profile Send private message
Schattenschlag
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2011
Posts: 112

PostPosted: Thu Aug 30, 2018 7:00 am    Post subject: Reply with quote

Alles klar, danke für die Infos.
Muss mir irgendwie durch geschlüpft sein die News von Mesa und den Useflags änderungen.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6995
Location: Austria

PostPosted: Thu Aug 30, 2018 9:35 am    Post subject: Reply with quote

Für USE-flag Änderungen gibt es normalerweise keine News, außer es handelt sich um globale Änderungen wie z.B. Python update.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum